--- title: "Get a specific Condition." slug: "get-a-specific-condition-1" updated: 2026-03-02T22:30:52Z published: 2026-03-02T22:35:48Z canonical: "support.appgate.com/get-a-specific-condition-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://support.appgate.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a specific Condition. Get/conditions/{id} Get a specific Condition. SecurityHTTPType bearer Path parametersidstring (uuid) Required ID of the object. Example12699e27-b584-464a-81ee-5b4784b6d425 Responses200 Single Condition. Expand Allobject idstring (uuid) ID of the object. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc namestring Name of the object. Exampleobject notesstring Notes for the object. Used for documentation purposes. ExampleThis object has been created for test purposes. createdstring (date-time) Create date. updatedstring (date-time) Last update date. tags Array of string Array of tags. Example[ "developer", "api-created" ]string expressionstring Boolean expression in JavaScript. Examplevar result = false; if/*password*/(claims.user.hasPassword('test', 60))/*end password*/ { return true; } return result; repeatSchedules Array of string A list of schedules that decides when to reevaluate the Condition. All the scheduled times will be effective. One will not override the other. - It can be a time of the day, e.g. 13:00, 10:25, 2:10 etc. - It can be one of the predefined intervals, e.g. 1m, 5m, 15m, 1h. These intervals will be always rounded up, i.e. if it's 15m and the time is 12:07 when the Condition is evaluated first, then the next evaluation will occur at 12:15, and the next one will be at 12:30 and so on. Example[ "1h", "13:32" ]string remedyLogicstring Whether all the Remedy Methods must succeed to pass this Condition or just one. Valid values[ "and", "or" ]Default"and" remedyMethods Array of object (RemedyMethod) The remedy methods that will be triggered if the evaluation fails. object typestring User Action type. Valid values[ "DisplayMessage", "OtpAuthentication", "PasswordAuthentication", "Reason" ]ExamplePasswordAuthentication messagestring Message to be shown to the user. Required for all remedy method. ExampleThis resource requires you to enter your password again claimSuffixstring Suffix to be added to the claim. Required for OtpAuthentication, PasswordAuthentication and Reason remedy methods. Exampletest providerIdstring (uuid) MFA Provider Id or Identity Provider Id. Required for some remedy method. Example4c07bc67-57ea-42dd-b702-c2d6c45419fc 401 Token error. Login again. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 403 Insufficient permissions to access this resource. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 404 The requested resource can not be found. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 406 Invalid 'Accept' header. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details. 500 Unexpected server side error. object Generic HTTP error. idstring Machine readable error code. messagestring Human readable error details.